%define        git          798391c
%define        gitdate      20151123
%define        major        7
%define        libname      %mklibname    yui %{major}-ncurses
%define        develname    %mklibname    -d yui-ncurses

Name:          libyui-ncurses
Version:       2.47.6
Release:       %mkrel 1
Summary:       UI abstraction library - ncurses plugin
# license from libyui-ncurses.spec.in
License:       LGPLv2+
Group:         Development/C++
# anaselli branch mga(git@github.com:anaselli/libyui-ncurses.git)
URL:           https://github.com/libyui/libyui-ncurses.git
Source0:       %{name}-%{version}.tar.bz2
Patch0:        libyui-ncurses_first_item_selection.patch


BuildRequires: %{_lib}yui-devel >= 3.0.4
BuildRequires: doxygen
BuildRequires: texlive
%if %mgaver > 3
BuildRequires: texlive-dist
%endif
BuildRequires: ghostscript
BuildRequires: ncursesw-devel 
BuildRequires: ncurses-devel
BuildRequires: boost-devel
BuildRequires: cmake

%description
%{summary}

#-----------------------------------------------------------------------
%package -n %libname
Summary:        %{summary}
Group:          System/Libraries
Requires:       libyui
Provides:       %{name} = %{version}-%{release}

%description -n %libname
%{summary}

%files -n %libname
%doc COPYING*
%{_bindir}/libyui-terminal
%{_libdir}/yui/lib*.so.*

#-----------------------------------------------------------------------
%package -n %develname
Summary:        %{summary} header files
Group:          Development/Other
Requires:       libyui-devel
Requires:       %{name} = %{version}-%{release}

%description -n %develname
This package provides headers files for libyui-ncurses development.

%files -n %develname
%{_libdir}/yui/lib*.so
%{_includedir}/yui
%{_libdir}/pkgconfig/libyui-ncurses.pc
%{_libdir}/cmake/libyui-ncurses
%{_datadir}/libyui
%doc %{_docdir}/libyui-ncurses%{major}


#-----------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%autopatch -p1

%build
./bootstrap.sh
mkdir build
cd build
cmake \
    -DYPREFIX=%{_prefix}  \
    -DDOC_DIR=%{_docdir} \
    -DLIB_DIR=%{_lib}    \
    -DENABLE_DEBUG=1     \
    -DINSTALL_DOCS=yes     \
    -DCMAKE_BUILD_TYPE=RELWITHDEBINFO ..


%make docs

%install
%makeinstall_std -C build
find "%{buildroot}" -name "*.la" -delete


%changelog
* Sun Oct 09 2016 anaselli <anaselli> 2.47.6-1.mga6
+ Revision: 1059761
- new 2.47.6 version

* Sun Mar 06 2016 anaselli <anaselli> 2.47.5-0.git20151123.2.mga6
+ Revision: 986648
- Fixed auto_ptr deprecated

* Mon Nov 23 2015 anaselli <anaselli> 2.47.5-0.git20151123.1.mga6
+ Revision: 905064
- new snapshot 2.47.4-a4e113c

* Mon Oct 19 2015 anaselli <anaselli> 2.47.4-0.git20151019.2.mga6
+ Revision: 892856
- Added a patch to manage item selection at NCTree creation
  upstream continue remove it :(

* Mon Oct 19 2015 anaselli <anaselli> 2.47.4-0.git20151019.1.mga6
+ Revision: 892833
- new version 2.47.4-a4e113c

* Fri Nov 07 2014 anaselli <anaselli> 2.46.6-0.git20140716.4.mga5
+ Revision: 796000
- Fixed link management in RichText widget
  See https://github.com/libyui/libyui-ncurses/issues/30

* Wed Oct 15 2014 umeabot <umeabot> 2.46.6-0.git20140716.3.mga5
+ Revision: 741640
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.46.6-0.git20140716.2.mga5
+ Revision: 681917
- Mageia 5 Mass Rebuild

* Wed Jul 16 2014 anaselli <anaselli> 2.46.6-0.git20140716.1.mga5
+ Revision: 653332
- Aligned to anaselli branch 2.46.6-22fd37d

* Thu Apr 24 2014 anaselli <anaselli> 2.46.5-0.git20140424.1.mga5
+ Revision: 617629
- Updated source
- Aligned to anaselli mga branch

* Fri Apr 18 2014 anaselli <anaselli> 2.46.5-0.git20140418.1.mga5
+ Revision: 616894
- new 2.46.5 from anaselli/mga branch

* Sun Mar 30 2014 anaselli <anaselli> 2.46.4-0.git20140329.2.mga5
+ Revision: 610486
- Added debug symbols

* Sat Mar 29 2014 anaselli <anaselli> 2.46.4-0.git20140329.1.mga5
+ Revision: 609614
- new version 2.46.4 (alinged from anaselli branch for YDateField and YTimeField pull requests)

* Sun Dec 01 2013 matteo <matteo> 2.45.0-0.git20131128.2.mga4
+ Revision: 554478
- new minor release
- fix build issue (latex error: xtab.sty not found)
- add missing br (texlive-dist)

  + anaselli <anaselli>
    - updated to upstream/master

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 2.44.0-0.git20130630.2.mga4
+ Revision: 452368
- rebuild for new boost

* Sun Jun 30 2013 anaselli <anaselli> 2.44.0-0.git20130630.1.mga4
+ Revision: 448653
- new version 2.44.0
  cleanup specfile
  license changed
- rebuilt for new libyui

* Sat Jan 12 2013 umeabot <umeabot> 2.43.2-0.git20130107.3.mga3
+ Revision: 358735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 anaselli <anaselli> 2.43.2-0.git20130107.2.mga3
+ Revision: 341407
- Rebuilt against new libyui

* Mon Jan 07 2013 anaselli <anaselli> 2.43.2-0.git20130107.1.mga3
+ Revision: 340393
- Aligned to upstream git 2.43.2

* Sat Nov 10 2012 anaselli <anaselli> 2.43.1-0.git20121106.1.mga3
+ Revision: 316876
- Updated to yui master

* Sat Nov 03 2012 anaselli <anaselli> 2.43.1-0.git20121102.1.mga3
+ Revision: 313419
- Updated from fork https://github.com/anaselli/libyui-ncurses to add missed functions

* Mon Oct 29 2012 anaselli <anaselli> 2.43.1-0.git20121018.1.mga3
+ Revision: 311528
- new version 2.43.1 from git

* Sun Sep 16 2012 anaselli <anaselli> 2.42.2-0.git20120908.1.mga3
+ Revision: 294608
- new git version 2.42.2 506268f
  added documentation
  used git date to allow package upgrading

* Sun Jul 22 2012 anaselli <anaselli> 2.42.2-0.git.31e4c26.1.mga3
+ Revision: 273597
- new libyui-ncurses from git 2.42.2
  added patch to fix form() parameters build error

* Mon Jul 02 2012 matteo <matteo> 2.21.3-1.mga3
+ Revision: 266797
- spec file reviewed
- imported package libyui-ncurses

  + anaselli <anaselli>
    - fixed for libyui-ncurses 2.21.3

